%
%               FILE DESCRIBING Southern Oscillation Index (SOI)

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.Indices/.standardized/.soi/dods';

% VARIABLES -- REQUIRED
LonRange = [-180 180];
LatRange = [-90 90.0];
DepthRange = [0.0 0.0];
TimeRange = [1881.0 1997.0];
Resolution = nan;

DataName = 'Southern Oscillation Index (SOI) - IRI';

SelectableVariables = str2mat('Index');
DodsName = str2mat('soi');

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.Indices/.standardized/.soi/.dataset_documentation.html';
