function URLinfo = mkurlinfo()

% initialize NVODS ML GUI URLinfo structure with all required fields.

% dbyrne 2002/10/07
URLinfo.axnames = [];
URLinfo.axes = [];
URLinfo.axunits = [];
URLinfo.timebase = [];
URLinfo.start_time = [];
URLinfo.geopos = zeros(1,4);
URLinfo.data_name = [];
URLinfo.data_scale = [];
URLinfo.data_null = [];
URLinfo.data_units = [];
URLinfo.data_server = [];
% this is new 2004/05/05 to cache the type (grid or array)
URLinfo.data_type = '';
%
% the following are 'array map guesses' made by gridcat.m
% if there is no info encoded in the archive.m
% dbyrne 2004/05/05
URLinfo.gridsize = [];
URLinfo.Nlon = [];
URLinfo.Nlat = [];
URLinfo.Ndepth = [];
URLinfo.Ntime = [];
% this field caches URL constraints
URLinfo.info = [];

% these fields also cache CURRENT CONSTRAINTS
URLinfo.axindex = [];
URLinfo.stride = [];
return
