%
%               FILE DESCRIBING Climate analysis center dataset

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.CAC/dods';

% VARIABLES -- REQUIRED
LonRange = [124.0 290.0];
LatRange = [-29.0 29.0];
DepthRange = [0.0 0.0];
TimeRange = [1970.0 2002];
Resolution = 222.0;

DataName = 'Climate Analysis Center SST - IRI';

SelectableVariables = str2mat('Sea Temp','Sea Temp anom');
DodsName = str2mat('sst','ssta');

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.CAC/.dataset_documentation.html';
