%
%  Digital Bathymetric Data Base -  5 minute Resolution (DBDB5) for the Northeast Pacific

% Added by PCC 1/22/02

GetFunctionName = 'getrectg';
Server = 'http://ferret.pmel.noaa.gov/cgi-bin/dods/nph-dods/data/PMEL/dbdbv_5min.nc';

  
LonRange = [-180  180];
LatRange =  [-90   90];
TimeRange = [1800.0 str2num(datestr(date,10))];
DepthRange = [0.0 0.0];
Resolution = 9.2;

DataName = 'Bathymetry -  DBDB5 Global - PMEL';

SelectableVariables = str2mat('Bathymetry');
DodsName = str2mat('ROSE');

DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; 0 -1.0];

Comments = '';
