%
%               FILE DESCRIBING NINO3 Index

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.Indices/.nino/.EXTENDED/.NINO3/dods';

% VARIABLES -- REQUIRED
LonRange = [-150 -90];
LatRange = [-5.0 5.0];
DepthRange = [0.0 0.0];
TimeRange = [1856.0 2003.5];
Resolution = nan;

DataName = 'NCEP and Kaplan combined NINO 3 Index - IRI';

SelectableVariables = str2mat('Sea Temp');
DodsName = str2mat('NINO3');

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.Indices/.nino/.dataset_documentation.html';

